
package lcarsbeans;

import java.beans.*;
import java.awt.*;

/**
 * BeanInfo for LcarsButton.
 * <P>
 * @author Andrei Scheibner, www.buffalo-as.de, andrei@buffalo-as.de
 * @version 0.9b, January 2002 (March 2001)
 */
public class LcarsButtonBeanInfo extends SimpleBeanInfo
{
 /**
  * Returns an icon which represents the bean in an IDEs component palette.
  */
 public Image getIcon(int iconKind)
 {
  if (iconKind == BeanInfo.ICON_MONO_16x16 || iconKind == BeanInfo.ICON_COLOR_16x16)
  {
   Image img = loadImage("LcarsButtonIcon16.gif");
   return img;
  }
  if (iconKind == BeanInfo.ICON_MONO_32x32 || iconKind == BeanInfo.ICON_COLOR_32x32)
  {
   Image img = loadImage("LcarsButtonIcon32.gif");
   return img;
  }
  return null;
 }

 /**
  * Returns the descriptor for this bean.
  */
 public BeanDescriptor getBeanDescriptor()
 {
	return new BeanDescriptor(LcarsButton.class);
 }

 /**
  * Creates a property descriptor.
  */
 static PropertyDescriptor prop(String name, String description)
 {
  try
  {
   PropertyDescriptor p = new PropertyDescriptor(name, LcarsButton.class);
   p.setShortDescription(description);
   return p;
  }
  catch(IntrospectionException e) { return null; }
 }

 /**
  * The property descriptors.
  */
 static PropertyDescriptor[] props = {
  prop("disabledColor", "color which is used when the control is not enabled"),
  prop("enabledColor", "color which is used when the control is enabled"),
  prop("fontColor", "color used for drawing the label"),
  prop("label", "label"),
  prop("labelMarginX", "horizontal margin between the label and the bound of the control"),
  prop("labelMarginY", "vertical margin between the label and the bound of the control"),
  prop("labelPosition", "position of the label"),
  prop("pressedColor", "color which is used when the button is pressed"),
  prop("roundLeft", "left side of the control is drawn rounded"),
  prop("roundRight", "right side of the control is drawn rounded"),
 };

 /**
  * Returns the property descriptors.
  */
 public PropertyDescriptor[] getPropertyDescriptors()
 {
  return props;
 }
 
}

