
package lcarsbeans;

import java.io.Serializable;

/**
 * A invisible bean to group 2 or more LcarsCheckboxes to use them as radiobuttons.
 * <P>
 * @author Andrei Scheibner, www.buffalo-as.de, andrei@buffalo-as.de
 * @version 0.9b, January 2002 (March 2001)
 */
public class LcarsCheckboxGroup implements Serializable
{
 private LcarsCheckbox selectedCheckbox = null;

 /**
  * Constructs a new instance.
  */
 public LcarsCheckboxGroup() {}

 /**
  * Returns the LcarsCheckbox which is currently selected.
  */
 public LcarsCheckbox getSelectedCheckbox()
 {
  return selectedCheckbox;
 }

 /**
  * Selects a LcarsCheckbox and deselects every other in this group.
  */
 public void setSelectedCheckbox(LcarsCheckbox box)
 {
  if (box != null && box.group != this)
  {
   return;
  }
  LcarsCheckbox oldChoice = this.selectedCheckbox;
  this.selectedCheckbox = box;
  if ((oldChoice != null) && (oldChoice != box))
  {
   oldChoice.setState(false);
  }
 }
 
}



