
package lcarsbeans;

import java.beans.*;
import java.awt.*;

/**
 * BeanInfo for LcarsGauge.
 * <P>
 * @author Andrei Scheibner, www.buffalo-as.de, andrei@buffalo-as.de
 * @version 0.9b, January 2002 (March 2001)
 */
public class LcarsGaugeBeanInfo extends SimpleBeanInfo
{
 /**
  * Returns an icon which represents the bean in an IDEs component palette.
  */
 public Image getIcon(int iconKind)
 {
  if (iconKind == BeanInfo.ICON_MONO_16x16 || iconKind == BeanInfo.ICON_COLOR_16x16)
  {
   Image img = loadImage("LcarsGaugeIcon16.gif");
   return img;
  }
  if (iconKind == BeanInfo.ICON_MONO_32x32 || iconKind == BeanInfo.ICON_COLOR_32x32)
  {
   Image img = loadImage("LcarsGaugeIcon32.gif");
   return img;
  }
  return null;
 }

 /**
  * Returns the descriptor for this bean.
  */
 public BeanDescriptor getBeanDescriptor()
 {
	return new BeanDescriptor(LcarsGauge.class);
 }

 /**
  * Creates a property descriptor.
  */
 static PropertyDescriptor prop(String name, String description)
 {
  try
  {
   PropertyDescriptor p = new PropertyDescriptor(name, LcarsGauge.class);
   p.setShortDescription(description);
   return p;
  }
  catch(IntrospectionException e) { return null; } 
 }

 /**
  * The property descriptors.
  */
 static PropertyDescriptor[] props = {
  prop("barColor", "color of the gauge bar"),
  prop("boundsColor", "color of the rectangle around the bar"),
  prop("fontColor", "color used for drawing the text"),
  prop("gaugeBounds", "rectangle around the gauge bar"),
  prop("gaugeDirection", "direction of the gauge"),
  prop("gaugeGrids", "number of grid rectangles"),
  prop("gaugeStyle", "style of the gauge"),
  prop("gridFourAtPercent", "percentage at which the fourth grid rectangle starts"),
  prop("gridFourColor", "color of the fourth grid rectangle"),
  prop("gridLineEveryNPercent", "place (in percent) between the thin lines inside the grids"),
  prop("gridOneColor", "color of the first grid rectangle"),
  prop("gridThreeAtPercent", "percentage at which the third grid rectangle starts"),
  prop("gridThreeColor", "color of the third grid rectangle"),
  prop("gridTwoAtPercent", "percentage at which the second grid rectangle starts"),
  prop("gridTwoColor", "color of the second grid rectangle"),
  prop("maxValue", "maximal progress"),
  prop("minValue", "minimal progress"),
  prop("progress", "current progress"),
  prop("showText", "current progress shown beside the bar"),
 };

 /**
  * Returns the property descriptors.
  */
 public PropertyDescriptor[] getPropertyDescriptors()
 {
  return props;
 }
 
}

